com.fasterxml.jackson.datatype.joda.ser

## Class DateTimeZoneSerializer

- java.lang.Object
- - com.fasterxml.jackson.databind.JsonSerializer<T>
  - - com.fasterxml.jackson.databind.ser.std.StdSerializer<T>
    - - com.fasterxml.jackson.datatype.joda.ser.DateTimeZoneSerializer

All Implemented Interfaces:
  com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitable, com.fasterxml.jackson.databind.jsonschema.SchemaAware

    public class DateTimeZoneSerializer
    extends com.fasterxml.jackson.databind.ser.std.StdSerializer<T>

### Nested Class Summary

### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonSerializer

`com.fasterxml.jackson.databind.JsonSerializer.None`

### Field Summary

### Fields inherited from class com.fasterxml.jackson.databind.ser.std.StdSerializer

`_handledType`

### Constructor Summary

Constructors
Constructor and Description
`DateTimeZoneSerializer()`

### Method Summary

Methods
`void` `serialize(org.joda.time.DateTimeZone value, com.fasterxml.jackson.core.JsonGenerator jgen, com.fasterxml.jackson.databind.SerializerProvider provider)`
`void` `serializeWithType(T value, com.fasterxml.jackson.core.JsonGenerator jgen, com.fasterxml.jackson.databind.SerializerProvider provider, com.fasterxml.jackson.databind.jsontype.TypeSerializer typeSer)`

### Methods inherited from class com.fasterxml.jackson.databind.ser.std.StdSerializer

`acceptJsonFormatVisitor, createObjectNode, createSchemaNode, createSchemaNode, findConvertingContentSerializer, findPropertyFilter, getSchema, getSchema, handledType, isDefaultSerializer, wrapAndThrow, wrapAndThrow`

### Methods inherited from class com.fasterxml.jackson.databind.JsonSerializer

`getDelegatee, isEmpty, isUnwrappingSerializer, replaceDelegatee, unwrappingSerializer, usesObjectId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DateTimeZoneSerializer

    public DateTimeZoneSerializer()

### Method Detail

#### serialize

    public void serialize(org.joda.time.DateTimeZone value,
                 com.fasterxml.jackson.core.JsonGenerator jgen,
                 com.fasterxml.jackson.databind.SerializerProvider provider)
                   throws IOException,
                          com.fasterxml.jackson.core.JsonProcessingException

Specified by:
  `serialize` in class `com.fasterxml.jackson.databind.ser.std.StdSerializer<org.joda.time.DateTimeZone>`
Throws:
  `IOException`
  `com.fasterxml.jackson.core.JsonProcessingException`

#### serializeWithType

    public void serializeWithType(T value,
                         com.fasterxml.jackson.core.JsonGenerator jgen,
                         com.fasterxml.jackson.databind.SerializerProvider provider,
                         com.fasterxml.jackson.databind.jsontype.TypeSerializer typeSer)
                           throws IOException,
                                  com.fasterxml.jackson.core.JsonProcessingException

Overrides:
  `serializeWithType` in class `com.fasterxml.jackson.databind.JsonSerializer<T>`
Throws:
  `IOException`
  `com.fasterxml.jackson.core.JsonProcessingException`